Package wx :: Package lib :: Package colourchooser :: Module canvas :: Class BitmapBuffer

[frames | no frames]

## Type BitmapBuffer

    object --+
             |
        Object --+
                 |
                DC --+
                     |
              WindowDC --+
                         |
                  MemoryDC --+
                             |
                            BitmapBuffer

A screen buffer class.

This class implements a screen output buffer. Data is meant to be drawn in the buffer class and then blitted directly to the output device, or on-screen window.

Method Summary
| ``__init__`(self, width, height, colour)` Initialize the empty buffer object.
| ``GetBitmap`(self)` Returns the internal bitmap for direct drawing.

Property Summary

Method Details

### __init__(self, width, height, colour)
(Constructor)

Initialize the empty buffer object.

  Overrides:
    `wx.MemoryDC.__init__`

### GetBitmap(self)

Returns the internal bitmap for direct drawing.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:32 2007 | http://epydoc.sf.net